org.apache.poi.hssf.usermodel

## Class HSSFChildAnchor

- java.lang.Object
- - org.apache.poi.hssf.usermodel.HSSFAnchor
  - - org.apache.poi.hssf.usermodel.HSSFChildAnchor

- All Implemented Interfaces:
    ChildAnchor

      public final class HSSFChildAnchor
      extends HSSFAnchor

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hssf.usermodel.HSSFAnchor

      `_isHorizontallyFlipped, _isVerticallyFlipped`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HSSFChildAnchor()`
    `HSSFChildAnchor(EscherChildAnchorRecord escherChildAnchorRecord)` create anchor from existing file
    `HSSFChildAnchor(int dx1, int dy1, int dx2, int dy2)` create anchor from scratch

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createEscherAnchor()`
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getDx1()`
    `int` | `getDx2()`
    `int` | `getDy1()`
    `int` | `getDy2()`
    `protected EscherRecord` | `getEscherAnchor()`
    `int` | `hashCode()`
    `boolean` | `isHorizontallyFlipped()`
    `boolean` | `isVerticallyFlipped()`
    `void` | `setAnchor(int dx1, int dy1, int dx2, int dy2)`
    `void` | `setDx1(int dx1)`
    `void` | `setDx2(int dx2)`
    `void` | `setDy1(int dy1)`
    `void` | `setDy2(int dy2)`

    - ### Methods inherited from class org.apache.poi.hssf.usermodel.HSSFAnchor

      `createAnchorFromEscher`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HSSFChildAnchor

          public HSSFChildAnchor(EscherChildAnchorRecord escherChildAnchorRecord)

      create anchor from existing file
      Parameters:
        `escherChildAnchorRecord` -

    - #### HSSFChildAnchor

          public HSSFChildAnchor()

    - #### HSSFChildAnchor

          public HSSFChildAnchor(int dx1,
                                 int dy1,
                                 int dx2,
                                 int dy2)

      create anchor from scratch
      Parameters:
        `dx1` - x coordinate of the left up corner
        `dy1` - y coordinate of the left up corner
        `dx2` - x coordinate of the right down corner
        `dy2` - y coordinate of the right down corner

  - ### Method Detail

    - #### getDx1

          public int getDx1()

      Returns:
        x coordinate of the left up corner

    - #### setDx1

          public void setDx1(int dx1)

      Parameters:
        `dx1` - x coordinate of the left up corner

    - #### getDy1

          public int getDy1()

      Returns:
        y coordinate of the left up corner

    - #### setDy1

          public void setDy1(int dy1)

      Parameters:
        `dy1` - y coordinate of the left up corner

    - #### getDy2

          public int getDy2()

      Returns:
        y coordinate of the right down corner

    - #### setDy2

          public void setDy2(int dy2)

      Parameters:
        `dy2` - y coordinate of the right down corner

    - #### getDx2

          public int getDx2()

      Returns:
        x coordinate of the right down corner

    - #### setDx2

          public void setDx2(int dx2)

      Parameters:
        `dx2` - x coordinate of the right down corner

    - #### setAnchor

          public void setAnchor(int dx1,
                                int dy1,
                                int dx2,
                                int dy2)

      Parameters:
        `dx1` - x coordinate of the left up corner
        `dy1` - y coordinate of the left up corner
        `dx2` - x coordinate of the right down corner
        `dy2` - y coordinate of the right down corner

    - #### isHorizontallyFlipped

          public boolean isHorizontallyFlipped()

      Specified by:
        `isHorizontallyFlipped` in class `HSSFAnchor`
      Returns:
        whether this shape is horizontally flipped

    - #### isVerticallyFlipped

          public boolean isVerticallyFlipped()

      Specified by:
        `isVerticallyFlipped` in class `HSSFAnchor`
      Returns:
        whether this shape is vertically flipped

    - #### getEscherAnchor

          protected EscherRecord getEscherAnchor()

      Specified by:
        `getEscherAnchor` in class `HSSFAnchor`

    - #### createEscherAnchor

          protected void createEscherAnchor()

      Specified by:
        `createEscherAnchor` in class `HSSFAnchor`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.